curl --request GET \
--url https://{BaseURL}/api/public/v1/assets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"email": "<string>"
},
"parentFolder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"schedules": [
{
"cronExpression": "<string>",
"timezone": "<string>",
"nextRunAt": "<string>"
}
],
"details": {
"tablePrefix": "<string>",
"computeProfile": "<string>"
}
}
],
"meta": {
"limit": 50,
"offset": 1,
"hasMore": true
}
}List assets you can access
curl --request GET \
--url https://{BaseURL}/api/public/v1/assets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"email": "<string>"
},
"parentFolder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"schedules": [
{
"cronExpression": "<string>",
"timezone": "<string>",
"nextRunAt": "<string>"
}
],
"details": {
"tablePrefix": "<string>",
"computeProfile": "<string>"
}
}
],
"meta": {
"limit": 50,
"offset": 1,
"hasMore": true
}
}limit and offset to walk the full list.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Maximum number of assets to return (default 50, max 100).
1 <= x <= 100Number of assets to skip (for pagination).
x >= 0